Loading...
Searching...
No Matches
TextLabelBase Class Reference

The TextLabelBase class provides a generic implementation of a text drawable.

`#include <avogadro/rendering/textlabelbase.h>`

Inheritance diagram for TextLabelBase:

## Public Member Functions

| TextLabelBase (const TextLabelBase &other)
TextLabelBase & | operator= (TextLabelBase other)
void | render (const Camera &camera) override
| Render the contents of the drawable.
void | buildTexture (const TextRenderStrategy &tren)
void | resetTexture ()
void | setText (const std::string &str)
const std::string & | text () const
void | setTextProperties (const TextProperties &tprop)
const TextProperties & | textProperties () const
Public Member Functions inherited from Drawable
| Drawable (const Drawable &other)
Drawable & | operator= (Drawable)
virtual void | accept (Visitor &)
const GeometryNode * | parent () const
| Get a pointer to the drawable object's parent.
GeometryNode * | parent ()
void | setVisible (bool visibility)
| Set the visibility of the drawable object.
bool | isVisible () const
| Get the current visibility of the drawable.
Identifier & | identifier ()
const Identifier & | identifier () const
virtual std::multimap< float, Identifier > | hits (const Vector3f &rayOrigin, const Vector3f &rayEnd, const Vector3f &rayDirection) const
virtual Core::Array< Identifier > | areaHits (const Frustrum &f) const
virtual void | clear ()
void | setRenderPass (RenderPass pass)
RenderPass | renderPass () const

## Protected Member Functions

void | setAnchorInternal (const Vector3f &anchor)
Vector3f | getAnchorInternal () const
void | setRadiusInternal (float radius)
float | getRadiusInternal () const
void | markDirty ()
Protected Member Functions inherited from Drawable
void | setParent (GeometryNode *parent)
| Set the parent node for the node.

## Protected Attributes

std::string | m_text
TextProperties | m_textProperties
Vector2i | m_imageDimensions
Core::Array< unsigned char > | m_imageRgba
Protected Attributes inherited from Drawable
GeometryNode * | m_parent
bool | m_visible
RenderPass | m_renderPass
Identifier | m_identifier

## Member Function Documentation

## render()

void render | ( | const Camera & | camera | ) |

override virtual

Parameters

  camera | The current Camera.

Reimplemented from Drawable.

## buildTexture()

void buildTexture | ( | const TextRenderStrategy & | tren | ) |

Render the string to the internal texture buffer.

Parameters

  tren | The text rendering strategy to use.

## setText()

void setText | ( | const std::string & | str | ) |

The text that will be rendered.

## text()

const std::string & text | ( |  | ) | const

The text that will be rendered.

## setTextProperties()

void setTextProperties | ( | const TextProperties & | tprop | ) |

The properties of the rendered text.

## textProperties()

const TextProperties & textProperties | ( |  | ) | const

The properties of the rendered text.

## resetTexture()

void resetTexture | ( |  | ) |

Clear the texture, forcing it to be regenerated on the next render.

The documentation for this class was generated from the following file:

- textlabelbase.h